Bug 4549 - Не локализованы пункты меню Easytag
: Не локализованы пункты меню Easytag
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Localization
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: JDronova
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-17 13:41 MSD by FirstLevel
Modified: 2014-10-26 17:28 MSK (History)
2 users (show)

See Also:
RPM Package: easytag-2.2.4-1
ISO-related:
Bad POT generating:
Upstream:
firstlevel: qa_verified+
andrey.bondrov: published+


Attachments
Скриншоты (1.02 MB, application/octet-stream)
2014-10-17 13:41 MSD, FirstLevel
Details
easytag.pot (12.98 KB, application/gzip)
2014-10-18 07:32 MSD, VictorR2007
Details
Файл с переводом (31.30 KB, application/gzip)
2014-10-18 07:42 MSD, VictorR2007
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2014-10-17 13:41:52 MSD
Created attachment 3349 [details]
Скриншоты

Description of problem:
Для обновленного пакета
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2310833/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2310834/x86_64/main/release/
практически полностью не локализованы пункты меню.
Смотри вложения.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 JDronova 2014-10-17 16:23:47 MSD
Судя по тому, что я поняла из сообщения VictorR2007 на форуме, там просто надо перегенерить .pot относительно обновлённого кода или взять его с оф сайта, если там есть свежий. Проверю, как доберусь.
Comment 2 VictorR2007 2014-10-18 07:32:54 MSD
Created attachment 3355 [details]
easytag.pot

Приложу новый pot файл.
Там изменилось 320 строк.
Comment 3 VictorR2007 2014-10-18 07:42:58 MSD
Created attachment 3356 [details]
Файл с переводом

На всякий случай приложу файл, который я сделал.
Опечаток вроде нет. Проверял.
Двойных пробелов тоже.
Осталась пара десятков строк без перевода,
где я не полностью понял смысл.
Не хотел прикладывать, знаю что вы Юлия будете недовольны мною.
Но раз уже все равно сделал, то решил приложить.
И кстати, вы не знаете, есть ли способ вводить двойные кавычки с клавиатуры.
Эти «%s».
Comment 4 JDronova 2014-10-18 14:49:40 MSD
(In reply to comment #3)
> И кстати, вы не знаете, есть ли способ вводить двойные кавычки с клавиатуры.
> Эти «%s».

Это называется «кавычки-ёлочки».
https://ru.wikipedia.org/wiki/Типографская_раскладка_Ильи_Бирмана
wiki.rosalab.ru/ru/index.php/Блог:Точка_Росы/Типографская_раскладка_Бирмана

я делаю в консоли:
setxkbmap -model pc104 -layout us,ru -option lv3:ralt_switch,grp:caps_toggle,misc:typo,grp_led:caps

можете погуглить ещё варианты в опциях setxkmap
Comment 5 Andrey Bondrov 2014-10-25 12:32:18 MSD
(In reply to comment #3)
> Created attachment 3356 [details]
> Файл с переводом

Готово, собрал обновлённый пакет. Ещё вернул на панель кнопку "Выделить всё", т.к. без неё использование новой версии EasyTAG вызвало у меня страдания (автоматически нажимал вместо неё на кнопку "Инвертировать выделение").

Advisory: "Update russian translation and restore select all icon at toolbar"
https://abf.rosalinux.ru/build_lists/2320860
https://abf.rosalinux.ru/build_lists/2320861
Comment 6 FirstLevel 2014-10-26 16:51:34 MSK
easytag-2.2.4-5
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2320861/x86_64/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2320860/i586/main/release/
************************ Advisory **********************
"New version 2.2.4. Build with mp4 and opus support" and translations
********************************************************
QA Verified
Comment 7 FirstLevel 2014-10-26 16:52:23 MSK
*** Bug 4543 has been marked as a duplicate of this bug. ***